#!/bin/sh


# initialize gallery list, whether Pomoto is running and current gallery

mkdir ~/.pomoto 2> /dev/null
RUNNING=$(ps -xc | awk '{ print $5 }' | grep Pomoto)
CURRENT=$(defaults read com.pomoto.Pomoto username 2> /dev/null)


# save current gallery

if [ -n "$CURRENT" ]; then
	cp ~/Library/Preferences/com.pomoto.Pomoto.plist ~/.pomoto/$CURRENT
fi


# change galleries or create empty gallery then reset current gallery

if [ $# == 1 ]; then
	if [ -n "$RUNNING" ]; then
		echo ""
		echo "############################################"
		echo "#  Pomoto appears to be running.           #"
		echo "#  Quit Pomoto before changing galleries.  #"
		echo "############################################"
	else
		if [ -f ~/.pomoto/$1 ]; then
			cp ~/.pomoto/$1 ~/Library/Preferences/com.pomoto.Pomoto.plist
		else
			rm -f ~/Library/Preferences/com.pomoto.Pomoto.plist
		fi
		CURRENT=$(defaults read com.pomoto.Pomoto username 2> /dev/null)	
	fi
fi


# display current and available galleries

if [ -z "$CURRENT" ]; then
	CURRENT="<empty>"
fi
echo ""
echo "Pomoto Galleries"
echo "----------------"
echo "  Current:     $CURRENT"
echo -n "  Available: "
for FILE in `ls -1 ~/.pomoto/` ; do
	echo -n "  $FILE"
done
echo ""
echo ""
echo "Change your current gallery"
echo "---------------------------"
echo "  Change your current gallery with '$0 <gallery>'."
echo "  You must quit Pomoto before changing your current gallery."
echo "  If the gallery does not exist, an empty gallery will be created."
echo ""

